You must sign the following CLA (Contributer License Agreement) if you want to contribute to this project.
This ensures that the legal side of the contribution is handled correctly and your contribution can be licensed along with the rest of the project.
Whenever you raise a pull request, you will be asked to digitally sign the CLA.
The CLA you are asked to sign at the time of your contribution may, however, differ from the CLA at the moment of you first reading this file, since further additions or changes may be added or applied to the CLA.

The CLA goes as follows:

------

I am aware that a part of a pull request contributing to the specification of gender\*render, and a part of the same pull request contributing to the implementation of gender\*render are not mutually exclusive, since a pull request can entail multiple contributions to multiple parts of a project, so several different options out of the ones listed below can apply to different parts of my pull request; the word "contributions" as used in the following may refer to parts of a pull request rather than the whole pull request.

* **For contributions to the specification** (which files are considered part of the specification is specified according to the [license of the specification](../LICENSE-specification.txt), at the time of you signing this CLA) **as well as contributions to files that will be forged into parts of the specification by automated workflows already installed in this repository at the time of you making your pull request, or by workflows that your pull request establishes**:

  I agree that the content of my contribution to the specification may be licensed under the license which can be found [here](../LICENSE-specification.txt) at the time of me signing this CLA.
  
  Additionally, I agree to the [Open Web Foundation CLA 1.0](http://www.openwebfoundation.org/legal/the-owf-1-0-agreements/owf-contributor-license-agreement-1-0---copyright-and-patent) regarding my contribution to the specification and hereby sign it.
  
  I am aware and agree that my contribution to the specification may be re-licensed under a more permissive license in the future by the maintainers of this project.
  I am also aware and agree that my contribution to the specification may be included in and licensed together with future versions of the specification that might be licensed under a more restrictive license to protect the label "gender\*render" and the project from being diluted by impersonations, brand imitations, contradicting versions of the specification and other problems a specification can face that hinder its spread and adaption, or to increase the credit its contributors receive for contributing or having contributed, as long as these future versions do not restrict the peoples access to the specification and their right to implement it and use these implementations.
  
* **For contributions to the implementation** (which files are considered part of the implementation is defined according to the [license of the implementation](../LICENSE-implementation.txt), at the time of you signing this CLS):

  I agree that my contribution will be licensed under the license found [here](../LICENSE-implementation.txt) at the time of you signing this CLA.
  
  I am aware and agree that my contribution and source code derived from it may be released in the Python package index (PyPi).
  
* **For both**:
  
  I am aware and agree that my contribution may not be licensed at all in case development on this project ceases before a new version of the specification/implementation that contains my contribution is released by one of the automated workflows mentioned above, or in case my contribution turns out not to be suited to be released as a new version of the specification/implementation after it was merged.
  
---

Feel free to ask for clarification on the purpose of parts of this CLA before signing it!